Package com.arms.api.analysis.time.service

## Class TimeServiceImpl

- java.lang.Object
- - com.arms.api.analysis.time.service.TimeServiceImpl

- All Implemented Interfaces:
    `TimeService`

      @Service
      public class TimeServiceImpl
      extends java.lang.Object
      implements TimeService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimeServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HeatMapVO` | `getHeatMapDataByUpdated​(TimeDTO timeDTO)` |
    `java.util.List<AlmIssueStatVO>` | `getMultiCombinationChartData​(TimeDTO timeDTO)` |
    `java.util.List<RidgeLineVO>` | `getRidgeLineData​(TimeDTO timeDTO)` |
    `java.util.List<ScatterChartVO>` | `getScatterChartData​(TimeDTO timeDTO)` |
    `java.util.List<AlmIssuesByVersionVO>` | `getUpdatedPdServiceVersionAlmIssueByDate​(TimeDTO timeDTO)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeServiceImpl

          public TimeServiceImpl()

  - ### Method Detail

    - #### getHeatMapDataByUpdated

          public HeatMapVO getHeatMapDataByUpdated​(TimeDTO timeDTO)

      Specified by:
        `getHeatMapDataByUpdated` in interface `TimeService`

    - #### getScatterChartData

          public java.util.List<ScatterChartVO> getScatterChartData​(TimeDTO timeDTO)

      Specified by:
        `getScatterChartData` in interface `TimeService`

    - #### getMultiCombinationChartData

          public java.util.List<AlmIssueStatVO> getMultiCombinationChartData​(TimeDTO timeDTO)

      Specified by:
        `getMultiCombinationChartData` in interface `TimeService`

    - #### getUpdatedPdServiceVersionAlmIssueByDate

          public java.util.List<AlmIssuesByVersionVO> getUpdatedPdServiceVersionAlmIssueByDate​(TimeDTO timeDTO)

      Specified by:
        `getUpdatedPdServiceVersionAlmIssueByDate` in interface `TimeService`

    - #### getRidgeLineData

          public java.util.List<RidgeLineVO> getRidgeLineData​(TimeDTO timeDTO)

      Specified by:
        `getRidgeLineData` in interface `TimeService`